GET /api/v2-beta/pipelines/{pipelineId}/graph with the new pipeline ID to read the copied configuration.
Signature
Method signature onclient.pipelines:
Parameters
string
required
Pipeline ID with prefix
pl..string
Name for the copy. Defaults to the source pipeline name.
Returns
Promise<Pipeline>
A pipeline within a project.
PipelineId
required
Pipeline ID with prefix
pl..ProjectId
required
Project ID with prefix
pp..string
required
Name of the pipeline.
number
required
Pipeline version number; copying a pipeline increments the source version.
string
required
Time the pipeline was created, as an ISO 8601 timestamp.
string
required
Time the pipeline was last updated, as an ISO 8601 timestamp.
Errors
HTTP errors throwPotatoApiError. The endpoint documents these error responses:
HTTP endpoint:
POST /pipelines/{pipelineId}/copy.